package com.gree.mall.manager.logic.material.manage;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gree.mall.manager.bean.admin.AdminUserCom;
import com.gree.mall.manager.bean.material.manage.WebsitPartsCreditItemVO;
import com.gree.mall.manager.bean.material.manage.WebsitPartsCreditVO;
import com.gree.mall.manager.commonmapper.MaterialMapper;
import com.gree.mall.manager.logic.common.CommonLogic;
import com.gree.mall.manager.zfire.bean.ZfireParamBean;
import com.gree.mall.manager.zfire.util.FieldUtils;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Slf4j
@Service
@RequiredArgsConstructor
public class WebsitPartsCreditLogic {

    private final CommonLogic commonLogic;
    private final MaterialMapper materialMapper;

    public IPage<WebsitPartsCreditVO> gatherPage(ZfireParamBean zfireParamBean) {
        AdminUserCom adminUser = commonLogic.getAdminUser();
        FieldUtils.materialParam(zfireParamBean, WebsitPartsCreditVO.class, adminUser);
        IPage<WebsitPartsCreditVO> page = materialMapper.websitPartsCreditPage(new Page(zfireParamBean.getPageNum(), zfireParamBean.getPageSize()), zfireParamBean);
        return page;
    }

    public IPage<WebsitPartsCreditItemVO> page(ZfireParamBean zfireParamBean) {
        AdminUserCom adminUser = commonLogic.getAdminUser();
        FieldUtils.materialParam(zfireParamBean, WebsitPartsCreditItemVO.class, adminUser);
        IPage<WebsitPartsCreditItemVO> page = materialMapper.websitPartsCreditItemPage(new Page(zfireParamBean.getPageNum(), zfireParamBean.getPageSize()), zfireParamBean);
        return page;
    }


}
